import { z } from "zod"; import type { ApiResult, ClientConfig } from "../client"; import type { ListParams } from "../schemas"; /** Parsed `{lng, lat}` pair. */ export declare const StCoordinates: z.ZodObject<{ lng: z.ZodNumber; lat: z.ZodNumber; }, z.core.$strip>; /** A single Google-style address component. */ export declare const StAddressComponent: z.ZodObject<{ long_name: z.ZodString; short_name: z.ZodString; types: z.ZodArray; }, z.core.$strip>; export declare const StLocationData: z.ZodObject<{ components: z.ZodPipe, z.ZodString, z.ZodNull]>>, z.ZodTransform<{ long_name: string; short_name: string; types: string[]; }[] | null, string | unknown[] | null | undefined>>; coordinates: z.ZodPipe, z.ZodString, z.ZodNull]>>, z.ZodTransform<{ lng: number; lat: number; } | null, string | { lng: number; lat: number; } | null | undefined>>; address_city: z.ZodOptional; full_address: z.ZodOptional; address_state: z.ZodOptional; address_line_1: z.ZodOptional; address_country: z.ZodOptional; address_postal_code: z.ZodOptional; }, z.core.$strip>; export declare const StEventSession: z.ZodObject<{ id: z.ZodNumber; mobilize_event_id: z.ZodNumber; primary_session_id: z.ZodNumber; start_time: z.ZodString; end_time: z.ZodString; title: z.ZodString; created_at: z.ZodString; updated_at: z.ZodString; location_name: z.ZodNullable; location_data: z.ZodNullable, z.ZodString, z.ZodNull]>>, z.ZodTransform<{ long_name: string; short_name: string; types: string[]; }[] | null, string | unknown[] | null | undefined>>; coordinates: z.ZodPipe, z.ZodString, z.ZodNull]>>, z.ZodTransform<{ lng: number; lat: number; } | null, string | { lng: number; lat: number; } | null | undefined>>; address_city: z.ZodOptional; full_address: z.ZodOptional; address_state: z.ZodOptional; address_line_1: z.ZodOptional; address_country: z.ZodOptional; address_postal_code: z.ZodOptional; }, z.core.$strip>>; lonlat: z.ZodNullable; location_address: z.ZodNullable; note: z.ZodNullable; tags: z.ZodArray; event_type: z.ZodString; show_rsvp_bar: z.ZodBoolean; show_title_in_form: z.ZodBoolean; max_capacity: z.ZodNullable; zoom_account_id: z.ZodNullable; zoom_meeting_id: z.ZodNullable; zoom_meeting_data: z.ZodNullable; zoom_join_before_host: z.ZodBoolean; zoom_attendance_synced_at: z.ZodNullable; source_calendar_item_id: z.ZodNullable; paired_meci_id: z.ZodNullable; recurring_schedule_id: z.ZodNullable; mobilize_event_task_id: z.ZodNullable; rsvp_count: z.ZodNumber; attendance_count: z.ZodNumber; host_tools_url: z.ZodString; city_state_label: z.ZodNullable; }, z.core.$strip>; /** Per-event toggles for the automated RSVP/reminder messages. */ export declare const StEventAutomationStatus: z.ZodObject<{ rsvp_confirmation_email: z.ZodBoolean; rsvp_confirmation_text: z.ZodBoolean; day_before_email_reminder: z.ZodBoolean; day_before_text_reminder: z.ZodBoolean; day_of_email_reminder: z.ZodBoolean; day_of_text_reminder: z.ZodBoolean; }, z.core.$strip>; export declare const StEvent: z.ZodObject<{ id: z.ZodNumber; title: z.ZodString; scope_id: z.ZodNumber; scope_type: z.ZodString; event_type: z.ZodString; location_name: z.ZodNullable; location_data: z.ZodNullable, z.ZodString, z.ZodNull]>>, z.ZodTransform<{ long_name: string; short_name: string; types: string[]; }[] | null, string | unknown[] | null | undefined>>; coordinates: z.ZodPipe, z.ZodString, z.ZodNull]>>, z.ZodTransform<{ lng: number; lat: number; } | null, string | { lng: number; lat: number; } | null | undefined>>; address_city: z.ZodOptional; full_address: z.ZodOptional; address_state: z.ZodOptional; address_line_1: z.ZodOptional; address_country: z.ZodOptional; address_postal_code: z.ZodOptional; }, z.core.$strip>>; tags: z.ZodArray; campaign_tags: z.ZodArray; event_sessions: z.ZodArray; location_data: z.ZodNullable, z.ZodString, z.ZodNull]>>, z.ZodTransform<{ long_name: string; short_name: string; types: string[]; }[] | null, string | unknown[] | null | undefined>>; coordinates: z.ZodPipe, z.ZodString, z.ZodNull]>>, z.ZodTransform<{ lng: number; lat: number; } | null, string | { lng: number; lat: number; } | null | undefined>>; address_city: z.ZodOptional; full_address: z.ZodOptional; address_state: z.ZodOptional; address_line_1: z.ZodOptional; address_country: z.ZodOptional; address_postal_code: z.ZodOptional; }, z.core.$strip>>; lonlat: z.ZodNullable; location_address: z.ZodNullable; note: z.ZodNullable; tags: z.ZodArray; event_type: z.ZodString; show_rsvp_bar: z.ZodBoolean; show_title_in_form: z.ZodBoolean; max_capacity: z.ZodNullable; zoom_account_id: z.ZodNullable; zoom_meeting_id: z.ZodNullable; zoom_meeting_data: z.ZodNullable; zoom_join_before_host: z.ZodBoolean; zoom_attendance_synced_at: z.ZodNullable; source_calendar_item_id: z.ZodNullable; paired_meci_id: z.ZodNullable; recurring_schedule_id: z.ZodNullable; mobilize_event_task_id: z.ZodNullable; rsvp_count: z.ZodNumber; attendance_count: z.ZodNumber; host_tools_url: z.ZodString; city_state_label: z.ZodNullable; }, z.core.$strip>>; event_page_url: z.ZodNullable; event_page_id: z.ZodNullable; image_url: z.ZodNullable; description: z.ZodNullable; hide_address_until_rsvp: z.ZodBoolean; show_in_web_calendars: z.ZodBoolean; automation_status: z.ZodObject<{ rsvp_confirmation_email: z.ZodBoolean; rsvp_confirmation_text: z.ZodBoolean; day_before_email_reminder: z.ZodBoolean; day_before_text_reminder: z.ZodBoolean; day_of_email_reminder: z.ZodBoolean; day_of_text_reminder: z.ZodBoolean; }, z.core.$strip>; primary_event_id: z.ZodNumber; is_co_hosted_mirror: z.ZodBoolean; created_at: z.ZodString; }, z.core.$strip>; export declare const StEventsResponse: z.ZodObject<{ data: z.ZodArray; location_data: z.ZodNullable, z.ZodString, z.ZodNull]>>, z.ZodTransform<{ long_name: string; short_name: string; types: string[]; }[] | null, string | unknown[] | null | undefined>>; coordinates: z.ZodPipe, z.ZodString, z.ZodNull]>>, z.ZodTransform<{ lng: number; lat: number; } | null, string | { lng: number; lat: number; } | null | undefined>>; address_city: z.ZodOptional; full_address: z.ZodOptional; address_state: z.ZodOptional; address_line_1: z.ZodOptional; address_country: z.ZodOptional; address_postal_code: z.ZodOptional; }, z.core.$strip>>; tags: z.ZodArray; campaign_tags: z.ZodArray; event_sessions: z.ZodArray; location_data: z.ZodNullable, z.ZodString, z.ZodNull]>>, z.ZodTransform<{ long_name: string; short_name: string; types: string[]; }[] | null, string | unknown[] | null | undefined>>; coordinates: z.ZodPipe, z.ZodString, z.ZodNull]>>, z.ZodTransform<{ lng: number; lat: number; } | null, string | { lng: number; lat: number; } | null | undefined>>; address_city: z.ZodOptional; full_address: z.ZodOptional; address_state: z.ZodOptional; address_line_1: z.ZodOptional; address_country: z.ZodOptional; address_postal_code: z.ZodOptional; }, z.core.$strip>>; lonlat: z.ZodNullable; location_address: z.ZodNullable; note: z.ZodNullable; tags: z.ZodArray; event_type: z.ZodString; show_rsvp_bar: z.ZodBoolean; show_title_in_form: z.ZodBoolean; max_capacity: z.ZodNullable; zoom_account_id: z.ZodNullable; zoom_meeting_id: z.ZodNullable; zoom_meeting_data: z.ZodNullable; zoom_join_before_host: z.ZodBoolean; zoom_attendance_synced_at: z.ZodNullable; source_calendar_item_id: z.ZodNullable; paired_meci_id: z.ZodNullable; recurring_schedule_id: z.ZodNullable; mobilize_event_task_id: z.ZodNullable; rsvp_count: z.ZodNumber; attendance_count: z.ZodNumber; host_tools_url: z.ZodString; city_state_label: z.ZodNullable; }, z.core.$strip>>; event_page_url: z.ZodNullable; event_page_id: z.ZodNullable; image_url: z.ZodNullable; description: z.ZodNullable; hide_address_until_rsvp: z.ZodBoolean; show_in_web_calendars: z.ZodBoolean; automation_status: z.ZodObject<{ rsvp_confirmation_email: z.ZodBoolean; rsvp_confirmation_text: z.ZodBoolean; day_before_email_reminder: z.ZodBoolean; day_before_text_reminder: z.ZodBoolean; day_of_email_reminder: z.ZodBoolean; day_of_text_reminder: z.ZodBoolean; }, z.core.$strip>; primary_event_id: z.ZodNumber; is_co_hosted_mirror: z.ZodBoolean; created_at: z.ZodString; }, z.core.$strip>>; meta: z.ZodObject<{ total_count: z.ZodNumber; limit: z.ZodNumber; offset: z.ZodNumber; }, z.core.$strip>; }, z.core.$strip>; export type StCoordinates = z.infer; export type StAddressComponent = z.infer; export type StLocationData = z.infer; export type StEventSession = z.infer; export type StEventAutomationStatus = z.infer; export type StEvent = z.infer; export type StEventsResponse = z.infer; /** GET /events — Lists events. */ export declare function listEvents(config: ClientConfig, params?: ListParams): Promise>; /** GET /events/{id} — Shows a single event. */ export declare function getEvent(config: ClientConfig, id: number): Promise>;